Main Page Class Hierarchy Compound List File List Compound Members File Members

# time_ew.h File Reference

`#include <time.h>`

Go to the source code of this file.

## Defines
#define | DATESTR23 23
## Functions
tm * | gmtime_ew (const time_t *, struct tm *)
time_t | timegm_ew (struct tm *)
tm * | localtime_ew (const time_t *, struct tm *)
char * | ctime_ew (const time_t *, char *, int)
char * | asctime_ew (const struct tm *, char *, int)
double | hrtime_ew (double *)
char * | datestr23 (double, char *, int)
char * | datestr23_local (double t, char *pbuf, int len)

## Define Documentation

#define DATESTR23 23

| Definition at line 47 of file time_ew.h. Referenced by datestr23(), and datestr23_local().

## Function Documentation

char* asctime_ew | ( | const struct tm * | ,
|  | char * | ,
|  | int |
| ) |

| Definition at line 81 of file time_ew.c.

char* ctime_ew | ( | const time_t * | ,
|  | char * | ,
|  | int |
| ) |

| Definition at line 70 of file time_ew.c.

char* datestr23 | ( | double | ,
|  | char * | ,
|  | int |
| ) |

| Definition at line 132 of file time_ew.c. References DATESTR23, and gmtime_ew(). Referenced by log_strongmotion(), and wr_strongmotion().

char* datestr23_local | ( | double | t,
|  | char * | pbuf,
|  | int | len
| ) |

| Definition at line 173 of file time_ew.c. References DATESTR23, and localtime_ew().

struct tm* gmtime_ew | ( | const time_t * | ,
|  | struct tm * |
| ) |

| Definition at line 47 of file time_ew.c. References gmtime_ew(). Referenced by close_seisan_file(), datestr23(), datestr24(), gmtime_ew(), GSEPA_next(), html_logit(), logit(), logit_init(), SACPABase_next_ev(), writetrig(), and writetrig_init().

double hrtime_ew | ( | double * |  | ) |

| Definition at line 92 of file time_ew.c. References tnow().

struct tm* localtime_ew | ( | const time_t * | ,
|  | struct tm * |
| ) |

| Definition at line 58 of file time_ew.c. References localtime_ew(). Referenced by datestr23_local(), and localtime_ew().

time_t timegm_ew | ( | struct tm * |  | ) |

| Definition at line 107 of file time_ew.c. Referenced by SAC_reftime().